> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Digital Human Tasks



## OpenAPI

````yaml /openapi/digitalhuman.json post /digital-human/tasks
openapi: 3.0.0
info:
  title: Digital Human
  version: 1.0.0
  description: API reference for Digital Human on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /digital-human/tasks:
    post:
      summary: Digital Human Tasks
      operationId: queryDigitalHumanTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - task_id
              properties:
                task_id:
                  type: string
                  example: task_49af42c410c24f04ad416b28af55d237
                  description: Asynchronous digital-human task identifier.
                action:
                  type: string
                  enum:
                    - retrieve
                    - retrieve_batch
                    - delete
                  description: >-
                    Omit for the flat poll shape. Use `retrieve` for the
                    detailed shape, which additionally carries created_at /
                    started_at / finished_at / elapsed.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: >-
                  The flat poll shape returned when `action` is omitted. Send
                  `action: retrieve` to additionally receive created_at /
                  started_at / finished_at / elapsed — all Unix timestamps in
                  seconds (float); started_at / finished_at / elapsed are null
                  until the task is claimed / finished.
                properties:
                  success:
                    type: boolean
                    description: Whether the task query succeeded.
                  task_id:
                    type: string
                    description: Asynchronous task identifier.
                  trace_id:
                    type: string
                    description: Request trace identifier.
                  state:
                    type: string
                    description: Current task state.
                  progress:
                    type: number
                    description: Completion percentage from 0 to 100.
                  video_url:
                    type: string
                    description: Generated video URL when available.
                    format: uri
                  duration:
                    type: number
                    description: >-
                      Length of the generated video in seconds — not the task's
                      processing time.
                  width:
                    type: number
                    description: Generated video width in pixels.
                  height:
                    type: number
                    description: Generated video height in pixels.
                  engine:
                    type: string
                    description: Rendering engine selected for the task.
                example:
                  success: true
                  task_id: task_...
                  trace_id: ...
                  state: succeed
                  progress: 100
                  video_url: https://cdn.acedata.cloud/634d760216.mp4
                  duration: 17.2
                  width: 1280
                  height: 720
                  engine: latentsync
                required:
                  - success
                  - task_id
                  - trace_id
                  - state
                  - progress
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: no_task
                    message: task not found
                  trace_id: ...
                additionalProperties: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.